import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (p, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, o) : r, s = p.length - 1, i; s >= 0; s--)
    (i = p[s]) && (e = (t ? i(r, o, e) : i(e)) || e);
  return t && e && h(r, o, e), e;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--closeCircleFilledLarge", this.class = "c-pieIcon c-pieIcon--closeCircleFilledLarge", this.name = "IconCloseCircleFilledLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--closeCircleFilledLarge"><path d="M16.25 4a12.25 12.25 0 1 0 0 24.5 12.25 12.25 0 0 0 0-24.5Zm4.996 16.004-1.242 1.242-3.754-3.762-3.754 3.762-1.242-1.242 3.762-3.754-3.762-3.754 1.242-1.242 3.754 3.762 3.754-3.762 1.242 1.242-3.762 3.754 3.762 3.754Z"></path></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  g("icon-close-circle-filled-large")
], l);
export {
  l as IconCloseCircleFilledLarge
};
